Report activity
const url = 'https://example.com/api/v1/telemetry/events';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"events":[{"at":"2026-04-15T12:00:00Z","kind":"example","counterparty_did":"example","process_ref":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/telemetry/events \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "events": [ { "at": "2026-04-15T12:00:00Z", "kind": "example", "counterparty_did": "example", "process_ref": "example" } ] }'A member’s connector reports metadata of what happened (never payloads); only kept when the participant’s telemetry level is activity.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
At most 1000 are kept per call.
object
E.g. negotiation.finalized, transfer.started.
Example generated
{ "events": [ { "at": "2026-04-15T12:00:00Z", "kind": "example", "counterparty_did": "example", "process_ref": "example" } ]}Responses
Section titled “Responses”OK.
object
How many events were stored; 0 when the participant’s level does not include activity.
Example generated
{ "accepted": 1, "note": "example"}Not authenticated.
The body of every failed call to a management API.
object
object
Stable, machine-readable: invalid_request, unauthenticated,
forbidden, not_found, conflict, upstream_unavailable,
unavailable, internal, or a more specific code of the operation.
For people; may change between versions.
Example
{ "error": { "code": "not_found", "message": "unknown negotiation" }}Not an active member.
The body of every failed call to a management API.
object
object
Stable, machine-readable: invalid_request, unauthenticated,
forbidden, not_found, conflict, upstream_unavailable,
unavailable, internal, or a more specific code of the operation.
For people; may change between versions.
Example
{ "error": { "code": "not_found", "message": "unknown negotiation" }}